Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.util
Class Timer

    java.lang.Object
      com.sun.javatest.util.Timer

    public class Timer

extends java.lang.Object

Timer objects accept requests to call back on Timeable objects after a specifiable delay.

See Also:
  `Timer.Timeable`

Nested Class Summary
`class` | `Timer.Entry` Entry objects are returned as the result calling requestDelayedCallback on a timer; they may be used to cancel the request.
`static interface` | `Timer.Timeable` Implementations of this interface are passed to Timer, to be called back after a specified interval.

Constructor Summary
`Timer()` Create and start a timer object.

Method Summary
`void` | `cancel(Timer.Entry e)` Cancel a prior request to requestDelayedEntry().
`void` | `finished()` Stop accepting requests.
`Timer.Entry` | `requestDelayedCallback(Timer.Timeable obj, long delay)` Request that the Timeable object given will have its timeoout() method called after not less than delay milliseconds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

  Create and start a timer object.

Method Detail

### requestDelayedCallback

    public Timer.Entry requestDelayedCallback(Timer.Timeable obj,
                                              long delay)

  Request that the Timeable object given will have its timeoout() method called after not less than delay milliseconds.

  Parameters:
    `obj` - The object to be called back
    `delay` - The number of milliseconds to delay before invoking the timemout method on the callback object.
  Returns:
    An object which can be passed to cancel() to cancel this request

### cancel

    public void cancel(Timer.Entry e)

  Cancel a prior request to requestDelayedEntry().

  Parameters:
    `e` - The result of the prior call to requestDelayedEntry

### finished

    public void finished()

  Stop accepting requests.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.